Skip to main content
GET
/
api
/
v1
/
portfolio
Get portfolio summary
curl --request GET \
  --url https://carboncopy.inc/api/v1/portfolio \
  --header 'Authorization: Bearer <token>'
{
  "balance": 245.5,
  "positionsValue": 89.3,
  "currentExposure": 89.3,
  "grossVolume": 739,
  "totalVolume": 739,
  "realizedPnl": -167,
  "unrealizedPnl": 4.1,
  "totalPnl": -162.9,
  "pnlPercentage": -12.3,
  "totalValue": 334.8,
  "openPositions": 12,
  "tradersFollowing": 5
}

Authorizations

Authorization
string
header
required

API key in the format cc_<64 hex characters>. Obtain from the Dashboard under Settings → API Keys.

Response

Portfolio summary.

balance
number

Available USDC balance in the proxy wallet.

Example:

245.5

positionsValue
number

Current mark-to-market value of all open positions in USDC.

Example:

89.3

currentExposure
number

Current mark-to-market capital deployed in open positions.

Example:

89.3

grossVolume
number

Lifetime copied trade notional (turnover) in USDC.

Example:

739

totalVolume
number

Alias of grossVolume for backwards data-model compatibility.

Example:

739

realizedPnl
number

Realized profit/loss in USDC.

Example:

-167

unrealizedPnl
number

Unrealized profit/loss on open positions in USDC.

Example:

4.1

totalPnl
number

Total portfolio P&L (realized + unrealized) in USDC.

Example:

-162.9

pnlPercentage
number

Portfolio P&L percentage based on live position initial value.

Example:

-12.3

totalValue
number

balance + positionsValue.

Example:

334.8

openPositions
integer

Number of currently open live positions.

Example:

12

tradersFollowing
integer

Number of traders currently followed.

Example:

5